#!/bin/bash

LOCALE_EN_PATH="./internal/discord/internal/discordi18n/locale.en.json"

status=0

for path in ./internal/discord/internal/discordi18n/locale.*.json; do
  if [ "$path" = $LOCALE_EN_PATH ]; then
    continue
  fi
  echo "----- ${path}"
  if diff <(jq 'keys' $LOCALE_EN_PATH) <(jq 'keys' "$path"); then
    echo "----- Success"
  else
    status=1
    echo "----- Failed"
  fi
done

exit "$status"
